package com.xtd.project.assets.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xtd.framework.aspectj.lang.annotation.Excel;
import com.xtd.framework.web.domain.BaseEntity;

import java.io.Serializable;

/**
 * 资产申请锁定对象 db_assets_stock_locked
 *
 * @author xtd
 * @date 2020-04-23
 */
public class DbAssetsStockLocked extends BaseEntity implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 资产id */
    @Excel(name = "资产id")
    private Long dbAsStId;

    /** 申请表id */
    @Excel(name = "申请表id")
    private Long dbAsStTableId;

    /** 申请表名 */
    @Excel(name = "申请表名")
    private String dbAsStTableName;

    public void setDbAsStId(Long dbAsStId)
    {
        this.dbAsStId = dbAsStId;
    }

    public Long getDbAsStId()
    {
        return dbAsStId;
    }
    public void setDbAsStTableId(Long dbAsStTableId)
    {
        this.dbAsStTableId = dbAsStTableId;
    }

    public Long getDbAsStTableId()
    {
        return dbAsStTableId;
    }
    public void setDbAsStTableName(String dbAsStTableName)
    {
        this.dbAsStTableName = dbAsStTableName;
    }

    public String getDbAsStTableName()
    {
        return dbAsStTableName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dbAsStId", getDbAsStId())
            .append("dbAsStTableId", getDbAsStTableId())
            .append("dbAsStTableName", getDbAsStTableName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
